package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.member.MemberInfo;

import javax.servlet.http.HttpServletResponse;
import java.text.ParseException;

/**
 * @Author: tjf
 * @Date: 2024/3/18 13:55
 * @Describe:
 */
public interface IStatisticsService {

    /**
     * 统计查询委员图形分析 界别
     */
    AjaxResult boundary();
    void exportForm(HttpServletResponse response, MemberInfo memberInfo);

    /**
     * pc首页（近三月委员提案数）
     */
    AjaxResult threeData() throws ParseException;

    AjaxResult weekData() throws ParseException;

    AjaxResult quarterData();

    AjaxResult personageData();
}
